All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
my_inserter< MatrixType > Class Template Reference

`#include <vector-io.hpp>`

## Public Member Functions

| my_inserter (MatrixType &mat)
void | apply (long row, long col, double value)

## Detailed Description

### template<typename MatrixType>
class my_inserter< MatrixType >

Definition at line 45 of file vector-io.hpp.

## Constructor & Destructor Documentation

template<typename MatrixType>

my_inserter< MatrixType >::my_inserter | ( | MatrixType & | mat | ) |

inline

Definition at line 48 of file vector-io.hpp.

## Member Function Documentation

template<typename MatrixType>

void my_inserter< MatrixType >::apply | ( | long | row,
|  | long | col,
|  | double | value
| ) |  |

inline

Definition at line 50 of file vector-io.hpp.

The documentation for this class was generated from the following file:

- examples/tutorial/vector-io.hpp